org.apache.olingo.ext.proxy.api.annotations

## Annotation Type Operation

-     @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public @interface Operation

  Mark method as EDM function import.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name`
    `OperationType` | `type` Operation type, function or action.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `isComposable` A function element MAY specify a Boolean value for the IsComposable attribute.
    `Class<?>` | `referenceType`
    `String` | `returnType` The action/function MAY/MUST specify a return type using the edm:ReturnType element.

- - ### Element Detail

    - #### name

          public abstract String name

  - - #### type

          public abstract OperationType type

      Operation type, function or action.
      Returns:
        operation type.

  - - #### referenceType

          public abstract Class<?> referenceType

      Default:
        java.lang.Void.class

  - - #### returnType

          public abstract String returnType

      The action/function MAY/MUST specify a return type using the edm:ReturnType element. The return type must be a scalar, entity or complex type, or a collection of scalar, entity or complex types.
      Returns:
        operation return type.
      Default:
        ""

  - - #### isComposable

          public abstract boolean isComposable

      A function element MAY specify a Boolean value for the IsComposable attribute. If no value is specified for the IsComposable attribute, the value defaults to false.
      Functions whose IsComposable attribute is true are considered composable. A composable function can be invoked with additional path segments or system query options appended to the path that identifies the composable function as appropriate for the type returned by the composable function.
      Returns:
        `TRUE` if is composable; `FALSE` otherwise.
      Default:
        false

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.